<?php
class ViewUserControl extends ViewControl
{
	/**
	 * Set to true, if it is custom user control
	 * @var boolean
	 */
	public $userControl;
	
	public function initUserControl()
	{		
	}
	
	/**
	 * Control settings filling
	 */
	public function init()
	{
		$this->userControl = true;
		
		// We need to add this dependencies ViewControl.js - for debug.
		// For build we need to add RunnerAll.js
		//$this->AddJSFile("include/runnerJS/controls/".$this->viewFormat.".js", 'include/runnerJS/viewControls/ViewControl.js');
		
					if($this->container->tName=="Live Application Form" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="LiveUploadApplication" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="mpgssdatasearch" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="Scholarship Officer" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="mpgsstemplate" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="OnlineApplicationFrm2018Update" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="OnlineApplicationForm2018" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
					if($this->container->tName=="OnlineApplicationFormSBS" && $this->field=="Reapply")
		{
			$this->settings["option1"] = "value";
$this->settings["option2"] = 0;;
		}	
	}

	/**
	 * Get the field's content that will be exported
	 * @prarm &Array data
	 * @prarm String keylink
	 * @return String
	 */
	public function getExportValue(&$data, $keylink = "")
	{
		return $data[ $this->field ];
	}
	
	/**
	 * Check for need to load the javascript files.
	 * Javascript files for user controls are always loaded.
	 * @return boolean
	 */
	public function neededLoadJSFiles() 
	{
		return true;
	}
	public function getPdfValue(&$data, $keylink = "")
	{
		return "''";
	}

}
?>